## org.hibernate.event.service.spi
Interface EventListenerRegistry

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  EventListenerRegistryImpl

    public interface EventListenerRegistry

extends Service, Serializable

Service for accessing each `EventListenerGroup` by `EventType`, as well as convenience methods for managing the listeners registered in each `EventListenerGroup`.

Method Summary
`void` `addDuplicationStrategy(DuplicationStrategy strategy)`

`

`<T> void`

`

`appendListeners(EventType<T> type, Class<? extends T>... listeners)`

`

`<T> void`

`

`appendListeners(EventType<T> type, T... listeners)`

`

`<T> EventListenerGroup<T>`

`

`getEventListenerGroup(EventType<T> eventType)`

`

`<T> void`

`

`prependListeners(EventType<T> type, Class<? extends T>... listeners)`

`

`<T> void`

`

`prependListeners(EventType<T> type, T... listeners)`

`

`<T> void`

`

`setListeners(EventType<T> type, Class<? extends T>... listeners)`

`

`<T> void`

`

`setListeners(EventType<T> type, T... listeners)`

Method Detail

### getEventListenerGroup

    <T> EventListenerGroup<T> getEventListenerGroup(EventType<T> eventType)

### addDuplicationStrategy

    void addDuplicationStrategy(DuplicationStrategy strategy)

### setListeners

    <T> void setListeners(EventType<T> type,
                          Class<? extends T>... listeners)

### setListeners

    <T> void setListeners(EventType<T> type,
                          T... listeners)

### appendListeners

    <T> void appendListeners(EventType<T> type,
                             Class<? extends T>... listeners)

### appendListeners

    <T> void appendListeners(EventType<T> type,
                             T... listeners)

### prependListeners

    <T> void prependListeners(EventType<T> type,
                              Class<? extends T>... listeners)

### prependListeners

    <T> void prependListeners(EventType<T> type,
                              T... listeners)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.